Eclipse Platform Release 3.7

## org.eclipse.ui.editors.text
Interface ITextEditorHelpContextIds

All Superinterfaces:
  IAbstractTextEditorHelpContextIds

    public interface ITextEditorHelpContextIds

extends IAbstractTextEditorHelpContextIds

Help context IDs for the text editor.

This interface contains constants only; it is not intended to be implemented.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Field Summary
`static String` `ACCESSIBILITY_PREFERENCE_PAGE` Id for the text editor preference page.
`static String` `ADD_TASK_ACTION` Help context id for the Add Task action.
`static String` `BOOKMARK_ACTION` Help context id for the "Add Bookmark" action.
`static String` `CHANGE_ENCODING` Help context id for the "Change Encoding..." action.
`static String` `SPELLING_PREFERENCE_PAGE` Help context id for the Spelling preference page.
`static String` `TEXT_EDITOR` Id for the text editor.
`static String` `TEXT_EDITOR_PREFERENCE_PAGE` Id for the text editor preference page.

Fields inherited from interface org.eclipse.ui.texteditor.IAbstractTextEditorHelpContextIds

`ACTION_POSTFIX, BLOCK_SELECTION_MODE_ACTION, CLEAR_MARK_ACTION, CONTENT_ASSIST_ACTION, CONTENT_ASSIST_CONTEXT_INFORMATION_ACTION, CONVERT_LINE_DELIMITERS_TO_MAC, CONVERT_LINE_DELIMITERS_TO_UNIX, CONVERT_LINE_DELIMITERS_TO_WINDOWS, COPY_ACTION, COPY_LINES_ACTION, CUT_ACTION, CUT_LINE_ACTION, CUT_LINE_TO_BEGINNING_ACTION, CUT_LINE_TO_END_ACTION, DELETE_ACTION, DELETE_LINE_ACTION, DELETE_LINE_TO_BEGINNING_ACTION, DELETE_LINE_TO_END_ACTION, FIND_ACTION, FIND_INCREMENTAL_ACTION, FIND_INCREMENTAL_REVERSE_ACTION, FIND_NEXT_ACTION, FIND_PREVIOUS_ACTION, FIND_REPLACE_DIALOG, GOTO_LAST_EDIT_POSITION_ACTION, GOTO_LINE_ACTION, GOTO_NEXT_ANNOTATION_ACTION, GOTO_PREVIOUS_ANNOTATION_ACTION, HIPPIE_COMPLETION_ACTION, JOIN_LINES_ACTION, LOWER_CASE_ACTION, MOVE_LINES_ACTION, OPEN_HYPERLINK_ACTION, PASTE_ACTION, PREFIX, PRINT_ACTION, QUICK_ASSIST_ACTION, RECENTER_ACTION, REDO_ACTION, REVERT_TO_SAVED_ACTION, SAVE_ACTION, SELECT_ALL_ACTION, SET_MARK_ACTION, SHIFT_LEFT_ACTION, SHIFT_RIGHT_ACTION, SHOW_INFORMATION_ACTION, SHOW_WHITESPACE_CHARACTERS_ACTION, SMART_ENTER_ACTION, SWAP_MARK_ACTION, TEMPLATES_VIEW, TOGGLE_INSERT_MODE_ACTION, UNDO_ACTION, UPPER_CASE_ACTION`

Field Detail

### TEXT_EDITOR_PREFERENCE_PAGE

    static final String TEXT_EDITOR_PREFERENCE_PAGE

  Id for the text editor preference page. Value: `"org.eclipse.ui.text_editor_preference_page_context"`.

  See Also:
    Constant Field Values

### SPELLING_PREFERENCE_PAGE

    static final String SPELLING_PREFERENCE_PAGE

  Help context id for the Spelling preference page. Value: `"org.eclipse.ui.spelling_preference_page_context"`.

  Since:
    3.4
  See Also:
    Constant Field Values

### TEXT_EDITOR

    static final String TEXT_EDITOR

  Id for the text editor. Value: `"org.eclipse.ui.text_editor_context"`.

  See Also:
    Constant Field Values

### BOOKMARK_ACTION

    static final String BOOKMARK_ACTION

  Help context id for the "Add Bookmark" action. Value: `"org.eclipse.ui.bookmark_action_context"`

  Since:
    3.0

### ADD_TASK_ACTION

    static final String ADD_TASK_ACTION

  Help context id for the Add Task action. Value: `"org.eclipse.ui.addTask_action_context"`

  Since:
    3.0

### CHANGE_ENCODING

    static final String CHANGE_ENCODING

  Help context id for the "Change Encoding..." action. Value: `"org.eclipse.ui.ChangeEncoding_action_context"`

  Since:
    3.1
  See Also:
    Constant Field Values

### ACCESSIBILITY_PREFERENCE_PAGE

    static final String ACCESSIBILITY_PREFERENCE_PAGE

  Id for the text editor preference page. Value: `"org.eclipse.ui.accessibility_preference_page_context"`.

  Since:
    3.6
  See Also:
    Constant Field Values

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.